<?php
declare(strict_types=1);

namespace PpPhp\Core\Designer\Build\Builders;

use PpPhp\Core\Designer\Build\Contracts\BuildManifest;

final class ManifestBuilder
{
    public function build(string $applicationId, array $artifacts, array $routes = [], array $assets = [], array $meta = []): BuildManifest
    {
        return BuildManifest::create($applicationId, $artifacts, $routes, $assets, $meta)->withManifestArtifact();
    }
}
